GET /v2/sandboxes/{sandboxID}/logs
Sandbox logs (v2)
Get sandbox logs
Parameters
sandboxID·string· path · requiredpageCursor·string· query · optionalOpaque continuation cursor returned as nextCursor by the previous page
Maximum length:
512cursor·integer· query · optionalStarting timestamp of the logs that should be returned in milliseconds
Format:
int64Minimum:
0limit·integer· query · optionalMaximum number of logs that should be returned
Format:
int32Default:
1000Minimum:
0Maximum:
1000direction·LogsDirection· query · optionalDirection of the logs that should be returned
Allowed values for
LogsDirection:forward|backwardlevel·LogLevel· query · optionalMinimum log level to return. Logs below this level are excluded
Allowed values for
LogLevel:debug|info|warn|errorsearch·string· query · optionalCase-sensitive substring match on log message content
Maximum length:
256
Responses
200
Successfully returned the sandbox logs
Content-Type: application/json
Schema: SandboxLogsV2Response
logs·array<SandboxLogEntry>· requiredSandbox logs structured
Default:
[]logs.id·string· optionalStable identifier used to reconcile overlapping live log pages
logs.timestamp·string· requiredTimestamp of the log entry
Format:
date-timelogs.message·string· requiredLog message content
logs.level·LogLevel· requiredState of the sandbox
Allowed values for
LogLevel:debug|info|warn|errorlogs.fields·object· requiredlogs.fields.*·string· additional propertynextCursor·string· optionalOpaque continuation cursor for the next page
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
404
Not found
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError